#include<iostream>
#include<algorithm>
#include<cmath>
#include<vector>
using namespace std;
long long int maxn=0;
bool sortf(long long int a,long long int b){
    return a*pow(10,floor(log10(maxn))-floor(log10(a)))>b*pow(10,floor(log10(maxn))-floor(log10(b)));
}
int main(){
    vector<long long int> a(3);

    for(int i=0;i<3;i++){
        cin>>a[i];
        if(maxn<a[i])
            maxn=a[i];
    }
    sort(a.begin(),a.end(),sortf);
    cout<<to_string(a[0])+to_string(a[1])+to_string(a[2]);
    return 1;
}